summaryrefslogtreecommitdiff
path: root/source/ap/ksh93/fetch-ksh.sh
diff options
context:
space:
mode:
authorPatrick J Volkerding <volkerdi@slackware.com>2021-11-16 19:04:47 +0000
committerEric Hameleers <alien@slackware.com>2021-11-17 08:59:57 +0100
commitd7f8114479246b27dd26bd891f5a95b1508c988f (patch)
treed0b844e2271795b169b555457d6c985221a3b156 /source/ap/ksh93/fetch-ksh.sh
parent144debf9f0943eba5dc13a3884ada0003b2afb89 (diff)
downloadcurrent-d7f8114479246b27dd26bd891f5a95b1508c988f.tar.gz
Tue Nov 16 19:04:47 UTC 202120211116190447
ap/ksh93-1.0_7ea95b7-x86_64-1.txz: Upgraded. Changed the fetch script to pull the 1.0 branch. Packaged shcomp and man page and additional documentation. Merged some other changes to the build script. Thanks to Martijn Dekker (McDutchie). ap/vim-8.2.3605-x86_64-1.txz: Upgraded. l/imagemagick-7.1.0_14-x86_64-1.txz: Upgraded. l/python-markdown-3.3.5-x86_64-1.txz: Upgraded. xap/seamonkey-2.53.10-x86_64-1.txz: Upgraded. This update contains security fixes and improvements. For more information, see: https://www.seamonkey-project.org/releases/seamonkey2.53.10 (* Security fix *) xap/vim-gvim-8.2.3605-x86_64-1.txz: Upgraded. extra/brltty/brltty-6.4-x86_64-4.txz: Rebuilt. Fixed installation of the Tcl bindings. Thanks to Stuart Winter. extra/tigervnc/tigervnc-1.12.0-x86_64-1.txz: Upgraded. Thanks to alienBOB for the original build script, and to 0XBF and Linux From Scratch for some useful hints on getting this back in shape.
Diffstat (limited to 'source/ap/ksh93/fetch-ksh.sh')
-rwxr-xr-xsource/ap/ksh93/fetch-ksh.sh33
1 files changed, 14 insertions, 19 deletions
diff --git a/source/ap/ksh93/fetch-ksh.sh b/source/ap/ksh93/fetch-ksh.sh
index d5c2dc13..956c7069 100755
--- a/source/ap/ksh93/fetch-ksh.sh
+++ b/source/ap/ksh93/fetch-ksh.sh
@@ -20,31 +20,26 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Use master (ksh93u+m) branch. Verify first that there's no better branch with
+set -o errexit
+
+# Use 1.0 (ksh93u+m) branch. Verify first that there's no better branch with
# "git branch -a" in the unpruned repo.
-BRANCH=${1:-master}
+BRANCH=${1:-1.0}
# Clear download area:
rm -rf ksh
-# Clone repository:
-git clone https://github.com/ksh93/ksh
-
-# checkout $BRANCH:
-( cd ksh
- git checkout $BRANCH || exit 1
-)
+# Clone repository and check out $BRANCH:
+git clone -b "$BRANCH" https://github.com/ksh93/ksh
-HEADISAT="$( cd ksh && git log -1 --format=%h )"
-DATE="$( cd ksh && git log -1 --format=%cd --date=format:%Y%m%d )"
+HEADISAT=$( cd ksh && git log -1 --format=%h )
+VERSION=$(sed -n '/^#define SH_RELEASE_SVER/ { s/.*"\(.*\)".*/\1/; s/-/_/g; p; }' ksh/src/cmd/ksh93/include/version.h)
# Cleanup. We're not packing up the whole git repo.
-( cd ksh && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
-# No need to package these:
-( cd ksh && rm -rf lib/package/tgz )
-mv ksh ksh-${DATE}_${HEADISAT}
-tar cf ksh-${DATE}_${HEADISAT}.tar ksh-${DATE}_${HEADISAT}
-plzip -9 -n 6 -f ksh-${DATE}_${HEADISAT}.tar
-rm -rf ksh-${DATE}_${HEADISAT}
+rm -rf ksh/.git*
+mv ksh "ksh-${BRANCH}_${HEADISAT}"
+tar cf "ksh-${BRANCH}_${HEADISAT}.tar" "ksh-${BRANCH}_${HEADISAT}"
+plzip -9 -n 6 -f "ksh-${BRANCH}_${HEADISAT}.tar"
+rm -rf "ksh-${BRANCH}_${HEADISAT}"
echo
-echo "ksh branch $BRANCH with HEAD at $HEADISAT packaged as ksh-${DATE}_${HEADISAT}.tar.lz"
+echo "ksh branch $BRANCH with HEAD at $HEADISAT packaged as ksh-${BRANCH}_${HEADISAT}.tar.lz"
echo